%define upstream_name    asterisk-perl
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
Summary:    Asterisk modules for perl
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/J/JA/JAMESGOL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildArch:  noarch

%description
perl-%{name} are modules for interfacing with the Asterisk open
source pbx system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%install
%makeinstall_std

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.30.0-8pclos2017
- rebuild against updates

